View Issue Details

IDProjectCategoryView StatusLast Update
0036576LazarusLCLpublic2020-02-10 12:42
ReporterAwkwardAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version2.0.8 
Summary0036576: OnCellProcess isn't fired when Copy one Cell and Paste to another
DescriptionI have StringGrid with several columns but only one editable. When i copy cell by Ctrl-C in one column (OnCellProcess called) and trying to paste through Ctrl-V to another (cell editor not active), i can't catch OnCellProcess event with cpPaste as TCellProcessType (looks like TCustomStringGrid.SelectionSetHTML called, not TCustomStringGrid.SelectionSetText where that event calls). source cell content will paste of course.
When i copying text to clipboard in another application and trying to paste - all ok
TagsNo tags attached.
Fixed in Revisionr62621
LazTarget2.0.8
WidgetsetWin32/Win64
Attached Files

Activities

Bart Broersma

2020-01-19 14:55

developer   ~0120546

Updated summary.

Bart Broersma

2020-02-08 19:14

developer   ~0120951

Please test and close if OK.

Issue History

Date Modified Username Field Change
2020-01-14 18:36 Awkward New Issue
2020-01-19 14:55 Bart Broersma Summary Don't call OnCellProcess when Copy one Cell and Paste to another => OnCellProcess isn't fired when Copy one Cell and Paste to another
2020-01-19 14:55 Bart Broersma LazTarget => -
2020-01-19 14:55 Bart Broersma Widgetset Win32/Win64 => Win32/Win64
2020-01-19 14:55 Bart Broersma Note Added: 0120546
2020-02-08 19:14 Bart Broersma Assigned To => Bart Broersma
2020-02-08 19:14 Bart Broersma Status new => resolved
2020-02-08 19:14 Bart Broersma Resolution open => fixed
2020-02-08 19:14 Bart Broersma Fixed in Version => 2.0.8
2020-02-08 19:14 Bart Broersma Fixed in Revision => r62621
2020-02-08 19:14 Bart Broersma LazTarget - => 2.0.8
2020-02-08 19:14 Bart Broersma Widgetset Win32/Win64 => Win32/Win64
2020-02-08 19:14 Bart Broersma Note Added: 0120951
2020-02-10 12:42 Awkward Status resolved => closed